<?php

register_nna_system_stats_dashlet();

function register_nna_system_stats_dashlet() {

	$dashlet_opts = array(
        	DASHLET_NAME        => 'nna_system_stats',
                DASHLET_TYPE        => DASHLET_TYPE_CORE,
                DASHLET_SERVER_TYPE => SERVER_TYPE_NNA,
                DASHLET_VERSION     => '1.0.0',
                DASHLET_DATE        => '11/29/2023',
                DASHLET_AUTHOR      => 'Nagios Enterprises',
                DASHLET_DESCRIPTION => _('Show the health of a fused Nagios Network Analyzer server.'),
                DASHLET_COPYRIGHT   => '© 2023 Nagios Enterprises, LLC',
                DASHLET_HOMEPAGE    => 'www.nagios.com',
                DASHLET_LICENSE     => _('GPL v2'),
                DASHLET_PREVIEW     => get_dashlets_base_url() . 'nna_system_stats/nna_system_stats.png',
                DASHLET_LOAD_URL    => get_dashlets_base_url() . 'nna_system_stats/nna_system_stats.php',
                DASHLET_TITLE       => _('Network Analyzer Statistics'),
                DASHLET_PARAMS      => 'get_nna_system_stats_dashlet_params',
                DASHLET_WIDTH       => 350,
	);

	register_dashlet($dashlet_opts);
}


function get_nna_system_stats_dashlet_params() {
        $arr = get_dashlet_dependent_params(true, false, false, false, SERVER_TYPE_NNA);
        return $arr;
}


?>